/*
 *****************************************************************************
 *                                                                           *
 *  UNIVERSITY OF LOWELL Motif/C++ Binding				     *	
 *                                                                           *
 *  COPYRIGHT (c) 1990 BY  UNIVERSITY OF LOWELL, DEPARTMENT OF COMPUTER      *
 *  SCIENCE, LOWELL, MA 01854                                                *
 *                                                                           *
 *  LICENSED MATERIAL - PROGRAM PROPERTY OF UNIVERSITY OF LOWELL. ALL RIGHTS *
 *  RESERVED.                                                                *
 *                                                                           *
 *  THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY BE USED AND COPIED    *
 *  ONLY  IN  ACCORDANCE  WITH  THE TERMS OF  SUCH  LICENSE  AND WITH THE    *
 *  INCLUSION OF THE  ABOVE COPYRIGHT NOTICE.  THIS SOFTWARE OR ANY OTHER    *
 *  COPIES THEREOF MAY NOT BE PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY    *
 *  OTHER PERSON.  NO TITLE TO  OR OWNERSHIP OF  THE  SOFTWARE  IS HEREBY    *
 *  TRANSFERRED.                                                             *
 *                                                                           *
 *  THE INFORMATION IN THIS SOFTWARE IS  SUBJECT TO CHANGE WITHOUT NOTICE    *
 *  AND  SHOULD  NOT BE CONSTRUED AS A COMMITMENT BY UNIVERSITY OF LOWELL    *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * File Name      :                                                          *
 * Author         :                                                          *
 * Created        :                                                          *
 * Description    :                                                          *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 *                                                                           *
 * Edit History   :                                                          *
 * date         who                     what                                 *
 *                                                                           *
 *****************************************************************************
 */
/*
//-----------------------------------------------------------------------------
//
// $Source: /usr/proj/grl/motifplb/design_review_1_efforts/lib_1/XMPanedW.hh,v $
// $Revision: 1.4 $
// $State: Exp $
// $Author: grlcr $
// $Date: 89/12/08 15:27:44 $
// $Locker:  $
//
// $Log:	XMPanedW.hh,v $
Revision 1.4  89/12/08  15:27:44  grlcr
*** empty log message ***

Revision 1.3  89/11/22  13:00:09  kseethar
major reworking

Revision 1.2  89/11/03  09:23:56  grlcr
*** empty log message ***

Revision 1.1  89/11/02  12:31:08  motifplb
Initial revision

// ***** Created Oct 11, 1989 by BRM *****
//-----------------------------------------------------------------------------
*/

#ifndef XMPanedW_hh
#define XMPanedW_hh

#include "XMManager.hh"
#include <Xm/PanedW.h>

class XMPanedWindow : public XMManager {
 protected:
     // ****CONSTRUCTORS****
     XMPanedWindow();

 public :
     // ****CONSTRUCTORS****
     XMPanedWindow(XMObject* parent, String,Boolean managed=True);
     XMPanedWindow(XMObject* parent, String,
				     Position x,
                                     Position y,
      		                     Dimension width,
                                     Boolean managed=True);

     // ****DESTRUCTOR****
     ~XMPanedWindow ();

     // ****METHODS TO SET THE PanedWindow RESOURCES****
     void set_marginHeight        (short);
     void set_marginWidth         (short);
     void set_refigureMode        (Boolean);
     void set_sashHeight          (Dimension);
     void set_sashIndent          (Position);
     void set_sashShadowThickness (int);
     void set_sashWidth           (Dimension);
     void set_separatorOn         (Boolean);
     void set_spacing             (int);

     void set_allowResize         (Boolean);
     void set_maximum             (int);
     void set_minimum             (int);
     void set_skipAdjust          (Boolean);

     void set_allowResize         (XMObject*, Boolean);
     void set_maximum             (XMObject*, int);
     void set_minimum             (XMObject*, int);
     void set_skipAdjust          (XMObject*, Boolean);

     // ****METHODS TO GET THE PanedWindow RESOURCES****
     void get_marginHeight        (short*);
     void get_marginWidth         (short*);
     void get_refigureMode        (Boolean*);
     void get_sashHeight          (Dimension*);
     void get_sashIndent          (Position*);
     void get_sashShadowThickness (int*);
     void get_sashWidth           (Dimension*);
     void get_separatorOn         (Boolean*);
     void get_spacing             (int*);

     void get_allowResize         (Boolean*);
     void get_maximum             (int*);
     void get_minimum             (int*);
     void get_skipAdjust          (Boolean*);

     void get_allowResize         (XMObject*, Boolean*);
     void get_maximum             (XMObject*, int*);
     void get_minimum             (XMObject*, int*);
     void get_skipAdjust          (XMObject*, Boolean*);
};

#endif     // XMPanedW_hh

// dont add stuff after this endif
